### Hierarchy

- ObjectConstructor

## Index

### Methods

- entries
- getOwnPropertyDescriptors
- values

## Methods

### entries

- entries<T>(o: object | ArrayLike<T>): [string, T][]
- entries(o: __type): [string, any][]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2017.object.d.ts:38

  Returns an array of key/values of the enumerable properties of an object

  #### Type parameters

  - #### T

  #### Parameters

  - ##### o: object | ArrayLike<T>

    Object that contains the properties and methods. This can be an object that you created or an existing Document Object Model (DOM) object.

  #### Returns [string, T][]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2017.object.d.ts:44

  Returns an array of key/values of the enumerable properties of an object

  #### Parameters

  - ##### o: __type

    Object that contains the properties and methods. This can be an object that you created or an existing Document Object Model (DOM) object.

  #### Returns [string, any][]

### getOwnPropertyDescriptors

- getOwnPropertyDescriptors<T>(o: T): object & object

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2017.object.d.ts:50

  Returns an object containing all own property descriptors of an object

  #### Type parameters

  - #### T

  #### Parameters

  - ##### o: T

    Object that contains the properties and methods. This can be an object that you created or an existing Document Object Model (DOM) object.

  #### Returns object & object

### values

- values<T>(o: object | ArrayLike<T>): T[]
- values(o: __type): any[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2017.object.d.ts:26

  Returns an array of values of the enumerable properties of an object

  #### Type parameters

  - #### T

  #### Parameters

  - ##### o: object | ArrayLike<T>

    Object that contains the properties and methods. This can be an object that you created or an existing Document Object Model (DOM) object.

  #### Returns T[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2017.object.d.ts:32

  Returns an array of values of the enumerable properties of an object

  #### Parameters

  - ##### o: __type

    Object that contains the properties and methods. This can be an object that you created or an existing Document Object Model (DOM) object.

  #### Returns any[]

Generated using TypeDoc